> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.getunleash.io/api/save-instance-impact-metrics-config/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.getunleash.io/_mcp/server. # Save instance level impact metrics configuration POST https://app.unleash-instance.example.com/api/admin/impact-metrics/config Content-Type: application/json **Enterprise feature** Saves a configuration for an instance level impact metric chart without a feature flag Reference: https://docs.getunleash.io/api/save-instance-impact-metrics-config ## Authentication - `Authorization` header (required) — API key needed to access this API - `Authorization` header (bearer token, required) — API key needed to access this API, in Bearer token format ## Request ### Body (application/json) This endpoint expects a createImpactMetricsConfigSchema. - `metricName` (string, required) — The Prometheus metric series to query. It includes both unleash prefix and metric type and display name - `timeRange` (enum, required) — The time range for the metric data. - Allowed values: `hour`, `day`, `week`, `month` - `yAxisMin` (enum, required) — Whether the chart should begin at zero on the y-axis. - Allowed values: `auto`, `zero` - `aggregationMode` (enum, required) — The aggregation mode for the metric data. - Allowed values: `rps`, `count`, `avg`, `sum`, `p95`, `p99`, `p50` - `labelSelectors` (map from string to list of string, required) — The selected labels and their values for filtering the metric data. - `id` (string, optional) — The unique ULID identifier for this impact metric configuration. Generated automatically if not provided. - `title` (string, optional) — Optional title for the impact metric chart. - `source` (enum, optional) — The Prometheus data source for this metric. Defaults to internal. - Allowed values: `internal`, `external` ## Response ### 200 impactMetricsConfigSchema - `id` (string, required) — The unique ULID identifier for this impact metric configuration. Generated automatically if not provided. - `metricName` (string, required) — The Prometheus metric series to query. It includes both unleash prefix and metric type and display name - `timeRange` (enum, required) — The time range for the metric data. - Allowed values: `hour`, `day`, `week`, `month` - `aggregationMode` (enum, required) — The aggregation mode for the metric data. - Allowed values: `rps`, `count`, `avg`, `sum`, `p95`, `p99`, `p50` - `labelSelectors` (map from string to list of string, required) — The selected labels and their values for filtering the metric data. - `displayName` (string, required) — The human readable display name of the impact metric - `yAxisMin` (enum, required) — Whether the chart should begin at zero on the y-axis. - Allowed values: `auto`, `zero` - `source` (enum, optional) — The Prometheus data source for this metric. Defaults to internal. - Allowed values: `internal`, `external` - `step` (enum, optional, nullable) — The step interval for querying metrics data. This is automatically calculated from the timeRange and stored when the metric is created or updated. - Allowed values: `1m`, `15m`, `3h`, `1d` - `title` (string, optional) — Optional title for the impact metric chart. - `mode` (enum, optional) — The access mode for this impact metric configuration: "read" when referenced by a safeguard, "write" otherwise. - Allowed values: `read`, `write` ## Examples **Request** ```json { "metricName": "unleash_counter_feature_toggle_usage_total", "timeRange": "day", "yAxisMin": "auto", "aggregationMode": "rps", "labelSelectors": { "environment": [ "development" ], "project": [ "default" ] } } ``` **Response** ```json { "id": "01ARZ3NDEKTSV4RRFFQ69G5FAV", "metricName": "unleash_counter_feature_toggle_usage_total", "timeRange": "day", "aggregationMode": "rps", "labelSelectors": { "environment": [ "development" ], "project": [ "default" ] }, "displayName": "feature_toggle_usage_total", "yAxisMin": "auto", "source": "internal", "step": "15m", "title": "Feature Toggle Usage", "mode": "write" } ``` **SDK Code** ```python import requests url = "https://app.unleash-instance.example.com/api/admin/impact-metrics/config" payload = { "metricName": "unleash_counter_feature_toggle_usage_total", "timeRange": "day", "yAxisMin": "auto", "aggregationMode": "rps", "labelSelectors": { "environment": ["development"], "project": ["default"] } } headers = { "Authorization": "", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://app.unleash-instance.example.com/api/admin/impact-metrics/config'; const options = { method: 'POST', headers: {Authorization: '', 'Content-Type': 'application/json'}, body: '{"metricName":"unleash_counter_feature_toggle_usage_total","timeRange":"day","yAxisMin":"auto","aggregationMode":"rps","labelSelectors":{"environment":["development"],"project":["default"]}}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://app.unleash-instance.example.com/api/admin/impact-metrics/config" payload := strings.NewReader("{\n \"metricName\": \"unleash_counter_feature_toggle_usage_total\",\n \"timeRange\": \"day\",\n \"yAxisMin\": \"auto\",\n \"aggregationMode\": \"rps\",\n \"labelSelectors\": {\n \"environment\": [\n \"development\"\n ],\n \"project\": [\n \"default\"\n ]\n }\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Authorization", "") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://app.unleash-instance.example.com/api/admin/impact-metrics/config") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = '' request["Content-Type"] = 'application/json' request.body = "{\n \"metricName\": \"unleash_counter_feature_toggle_usage_total\",\n \"timeRange\": \"day\",\n \"yAxisMin\": \"auto\",\n \"aggregationMode\": \"rps\",\n \"labelSelectors\": {\n \"environment\": [\n \"development\"\n ],\n \"project\": [\n \"default\"\n ]\n }\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://app.unleash-instance.example.com/api/admin/impact-metrics/config") .header("Authorization", "") .header("Content-Type", "application/json") .body("{\n \"metricName\": \"unleash_counter_feature_toggle_usage_total\",\n \"timeRange\": \"day\",\n \"yAxisMin\": \"auto\",\n \"aggregationMode\": \"rps\",\n \"labelSelectors\": {\n \"environment\": [\n \"development\"\n ],\n \"project\": [\n \"default\"\n ]\n }\n}") .asString(); ``` ```php request('POST', 'https://app.unleash-instance.example.com/api/admin/impact-metrics/config', [ 'body' => '{ "metricName": "unleash_counter_feature_toggle_usage_total", "timeRange": "day", "yAxisMin": "auto", "aggregationMode": "rps", "labelSelectors": { "environment": [ "development" ], "project": [ "default" ] } }', 'headers' => [ 'Authorization' => '', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://app.unleash-instance.example.com/api/admin/impact-metrics/config"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", ""); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"metricName\": \"unleash_counter_feature_toggle_usage_total\",\n \"timeRange\": \"day\",\n \"yAxisMin\": \"auto\",\n \"aggregationMode\": \"rps\",\n \"labelSelectors\": {\n \"environment\": [\n \"development\"\n ],\n \"project\": [\n \"default\"\n ]\n }\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "", "Content-Type": "application/json" ] let parameters = [ "metricName": "unleash_counter_feature_toggle_usage_total", "timeRange": "day", "yAxisMin": "auto", "aggregationMode": "rps", "labelSelectors": [ "environment": ["development"], "project": ["default"] ] ] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://app.unleash-instance.example.com/api/admin/impact-metrics/config")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```